tprobaCalc {fcros} | R Documentation

## Calculation of the Student one sample test probabilities

### Description

This is an internal function for using a C code to perform a Student one sample test for each row of the full or reduced matrix with sorted rank values.

### Usage

    tprobaCalc(moy, std, n, dl, em)

### Arguments

`moy` | Vector containing average of rank values for rows
`std` | Vector containing standard deviation of rank values for rows
`n` | Number of genes or probes in the dataset
`dl` | Degree of freedom in the test. This is equal to the number of the columns in the full or reduced matrix of sorted rank values minus one
`em` | Expected average rank values for each row

### Author(s)

Doulaye Dembele doulaye@igbmc.fr

### References

Dembele D, Analysis of high biological data using their rank values, Stat Methods Med Res, accepted for publication, 2018

### Examples

    #    data(fdata);

[Package fcros version 1.6.1 Index]